using Wizard.Battle.Card.InnerOptions;
using Wizard.Battle.Player.Emotion;
using Wizard.Battle.Resource;
using Wizard.Battle.View;

namespace Wizard.Battle;

public class PlayerInnerOptionsBuilder : IInnerOptionsBuilder
{
	private readonly IBattleResourceMgr _resourceMgr;

	public PlayerInnerOptionsBuilder(IBattleResourceMgr resourceMgr)
	{
		_resourceMgr = resourceMgr;
	}

	public IPlayerEmotion CreatePlayerEmotion(IClassBattleCardView classCardView)
	{
		return new PlayerEmotion(GameMgr.GetIns().GetDataMgr().GetPlayerEmotionId(), classCardView.ClassCharacter, _resourceMgr);
	}

	public IEmotion CreateEnemyEmotion(IClassBattleCardView classCardView)
	{
		return new NullEmotion();
	}

	public CardInnerOptionsBase CreateCardOptions()
	{
		return new PlayerCardInnerOptions();
	}
}
